/*
* This file manage native posts and custom cpts archives
*
*/

/*-------------------------------
## Archives - Intro & Feeds
---------------------------------*/
/*Continue reading anchor*/
a.continue-reading {
	position: absolute;
	bottom: 0;
	background: var(--featured-color);
	color: var(--light-txt-color);
	padding: 12px;
	border-radius: 12px 12px 0px 0px;
	z-index: 2;
}
.continue-reading i.fas {font-size: 1rem; color: var(light-txt-color); padding: 0 6px;}

/*Categories navigation*/
.blog-home .category-list {}
.blog-home .category-list ul.list-cats {width: auto;}
.blog-home .category-list ul.list-cats {display: flex; justify-content: center; background: var(--alt-bg);}
.blog-home .category-list ul.list-cats li {display: inline-block; width: auto; margin: 12px 24px;}
.blog-home .category-list ul.list-cats li a {font-size: 1rem; background: var(--featured-color); color: var(--light-txt-color); padding: 6px; transition: 400ms font-size ease-in-out;}
.blog-home .category-list ul.list-cats li:hover a {font-size: 1.15rem;}
.blog-home .category-list ul.children li {display: block; width: auto; margin: 12px 0;}
.blog-home .category-list ul.children li a {background: transparent; color: var(--dark-txt-color); padding: 0px;}

/*Category dropdown filter*/
.category-list {width: 100%; margin-bottom: 42px;}
.category-list h4 {margin-right: 24px;}
.category-list form.category-select {min-width: 240px;}
.category-list form.category-select .select-wrapper > input {width: 100%;}

/*Load more button*/
.post-loadmore-handler {max-width: initial; padding: 4px 12px; margin-bottom: 1rem; opacity: 1; transition: 400ms all ease-in-out;}
.post-loadmore-handler.loading {opacity: 0;}

/*End of Page - ACF page builder*/
section.full-wrapper.blog-end-page {margin: 2rem 0;}

@media all and (max-width: 580px) {
	.panel-post {margin: 16px 0px 16px 0;}

	.intro-blog {margin-bottom: 17.5% !important;}
	.categories-list {flex-direction: column; float: none;}
	.categories-list li {margin: 10px;}
	.post-feed {width: 100%;}
	.post h1 { max-width: 90%; margin: 20px auto;}
	.single-post .post-thumbnail {max-width: 85%;}

	#intro-container-archives .showcase-content {min-height: 240px;}
}

/*---------------------------
## Archives items - Commons
-----------------------------*/
.panel-post a.show-more-link {display: block; width: max-content; margin: 12px auto; padding: 4px 8px; background-color: var(--main-bg); border-radius: 12px;}

/*---------------------------
## Archives items - remseo-profiles
-----------------------------*/
.panel-post figure div.profile-school {position: absolute; bottom: 0; right: 0; padding: 0 12px; background-color: var(--alt-featured-color); color: var(--title-color); opacity: 1; transition: 400ms all ease-in-out;}
.article-feed-thumbnail:hover div.profile-school {opacity: 0;}

/*---------------------------
## Archives items - Classic
-----------------------------*/
/*Post items*/
.panel-post {cursor: default; border-radius: 6px; background: var(--light-txt-color); box-shadow: 1px 1px 4px 0px var(--secondary-bg); padding: 0;}
.panel-post figure {background-color: #f7f7f7;}
/* .panel-post figure img {height: 205px;} */
.panel-post figure img.gray-filter {filter: grayscale(1);}
.panel-post .article-home-feed-title {padding: 0 12px;}

.panel-post a.disabled-link {cursor: not-allowed;}

.panel-post .datedtitle {position: absolute; width: 100%; height: 96%; top: 0; background: rgba(0,0,0,0.35);}
.panel-post .datedtitle .date {font-size: 0.9rem; font-weight: 400; color: var(--main-bg);}
.panel-post .datedtitle .date .month {font-size: 0.9rem; font-weight: 300; color: var(--main-bg);}

.article-feed-thumbnail {position: relative;}
.article-feed-thumbnail span.date {font-size: 0.85rem;font-style: italic;}

.article-feed-thumbnail .disable-post-tag {
	position:absolute;
	top: 4px;
	right: 4px;
	background-color: var(--featured-color);
	color: var(--light-txt-color);
	padding: 6px 12px;
	opacity: 1;
	transition: 400ms all ease-in-out;
}
.article-feed-thumbnail:hover .disable-post-tag {
	opacity: 0;
}

.article-feed-thumbnail .hover-helper {
	position:absolute;
	color: var(--featured-color);
	font-size: 1.35rem;
	margin: 0px;
	padding: 6px 0px 0 6px;
	opacity: 1;
	transition: 400ms opacity ease-in-out;
}
.article-feed-thumbnail:hover .hover-helper {opacity: 0;}

.article-feed-thumbnail figure .post-cat-label {position: absolute; bottom: 0; padding: 4px 8px; background: var(--featured-color); opacity: 1; transition: 400ms opacity ease-in-out;}
.article-feed-thumbnail figure:hover .post-cat-label {opacity: 0;}

.article-feed-thumbnail figure figcaption {border-radius: 6px 6px 0 0;}
.article-feed-thumbnail figure figcaption > ul {max-width: 85%; text-align: left;}
.article-feed-thumbnail figure figcaption .loop-item-excerpt {padding: 6px 0;}
.article-feed-thumbnail figure figcaption .loop-item-excerpt p {font-size: 1rem; text-align: left;}
.article-feed-thumbnail figure figcaption .show-more-link {
	position: relative;
	color: var(--featured-color);
	background: var(--main-bg);
	padding: 6px 12px;
	border-radius: 6px;
}

.post-main-datas {padding: 12px 6px;}
.post-main-datas .post-status-tag {
	position: relative;
	background-color: var(--featured-color);
	color: var(--light-txt-color);
	padding: 4px 8px;
	border-radius: 12px;
}

.loop-item-excerpt {
	position: relative;
	padding: 0 15px 15px 15px;
	color: #858585;
	transition: 400ms ease-in-out opacity;
}

.archive-post-title {
	text-align: center;
	text-transform: initial;
	letter-spacing: 2px;
	color: var(--dark-txt-color);
	font-size: 1.5rem;
	font-weight: 500;
	opacity: 1;
	transition: 400ms opacity ease-in-out;
}

.panel-post:hover .archive-post-title {opacity: 0.75; color: var(--featured-color);}

.post-feed {width: 80%; margin: 2rem auto !important;}
.post-feed .post-thumbnail, .feat-posts .post-thumbnail {width: 100%; height: auto;}
.post-feed .post-thumbnail figure, .feat-posts .post-thumbnail figure {position: relative; height: 100%; width: 100%; max-height: 280.5px; margin: 0 !important; border-radius: 6px 6px 0 0;}
.acf-widget-container .post-thumbnail {width: 100%; height: auto;}
.acf-widget-container .post-thumbnail figure {position: relative; height: 100%; width: 100%; margin: 0 !important;}

.post-feed .categories-list div figure {height: 275px;}
.post-feed .categories-list div figure figcaption {flex-direction: initial !important;}
.post-feed .categories-list div figure a:first-child {height: 100%;}

.hfeed .pagination-container {margin-top: 2%;}
.hfeed ul.pagination {list-style: none;}
.hfeed ul.pagination li:first-child {width: auto;}
.hfeed ul.pagination li {background: var(--featured-color); color: var(--light-txt-color); border-radius: 4px; margin: 0 6px; width: 20px; height: 24px;}
.hfeed ul.pagination li:last-child {width: auto;}
.hfeed ul.pagination li span.current {width: 20px;height: 24px;position: relative;display: block;background: var(--alt-featured-color);border-radius: 4px;}
.hfeed ul.pagination li a {color: #fff;}
.hfeed ul.pagination i.fas {font-size:1rem;}

.single-post .entry-header .article-date {margin: 24px auto; padding: 6px 12px; background: var(--featured-color); border-radius: 6px; color: var(--light-txt-color); text-align: center;}
.single-post .entry-header .article-date span {font-weight: 700;}

@media all and (max-width: 580px) {
	.post-feed {width: 90%;}
	.panel-post figure img {height: 220px;}
	.article-feed-thumbnail figure figcaption {padding: calc(var(--padding) * 1.5);}
	.article-feed-thumbnail figure figcaption .loop-item-excerpt {height: 100%;}
	.article-feed-thumbnail figure figcaption .loop-item-excerpt p {font-size: 0.85rem;}
}

/*---------------------------
## Archives items - Material
-----------------------------*/
.panel-post.card {
  position: relative;
  top: 50%;
  left: 50%;
  width: 100%;
  -webkit-transform: translateX(-50%) translateY(-50%);
      -ms-transform: translateX(-50%) translateY(-50%);
          transform: translateX(-50%) translateY(-50%);
  background: #fff;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  -webkit-transition: box-shadow 0.3s;
          transition: box-shadow 0.3s;
}
.panel-post.card:hover {
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.3);
}
.panel-post.card a {
  color: inherit;
  text-decoration: none;
}

.panel-post .card__date {
  position: absolute;
	background: var(--featured-color);
  top: 20px;
  right: 20px;
  width: max-content;
  height: max-content;
  color: var(--light-txt-color);
  text-align: center;
	border-radius: 12px;
  line-height: 13px;
	padding: 6px 8px;
}
.panel-post .card__date .date-prefix {

}
.panel-post .card__date .published-date {
	font-weight: 700;
}
.panel-post .card__date__day {
  display: block;
  font-size: 14px;
  margin-top: 10px;
}
.panel-post .card__date__month {
  display: block;
	background: var(--featured-color);
  font-size: 10px;
  text-transform: uppercase;
}

.panel-post .card__thumb {
  height: 235px;
  overflow: hidden;
  background-color: var(--secondary-bg);
  border-radius: 6px 6px 0 0;
  -webkit-transition: height 0.3s;
          transition: height 0.3s;
}
.panel-post .card__thumb img {
  display: block;
  opacity: 1;
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
          transition: opacity 0.3s, transform 0.3s;
  -webkit-transform: scale(1);
      -ms-transform: scale(1);
          transform: scale(1);
}
.panel-post.card:active .card__thumb img,
.panel-post.card:focus .card__thumb img,
.panel-post.card:hover .card__thumb img {
opacity: 0.6;
  -webkit-transform: scale(1.2);
      -ms-transform: scale(1.2);
          transform: scale(1.2);
}
.panel-post.card:active .card__thumb,
.panel-post.card:focus .card__thumb,
.panel-post.card:hover .card__thumb {
  height: 90px;
}

.panel-post .card__body {
  position: relative;
  background: var(--alt-bg);
  padding: 20px;
  height: 185px;
  border-radius: 0 0 6px 6px;
  -webkit-transition: height 0.3s;
          transition: height 0.3s;
}
.panel-post.card:active .card__body,
.panel-post.card:focus .card__body,
.panel-post.card:hover .card__body {
  height: 320px;
}

.panel-post .card__category {
  position: absolute;
  top: -25px;
  left: 0;
  height: 25px;
  padding: 0 15px;
  background: var(--alt-featured-color);
  color: #fff;
  font-size: 11px;
  line-height: 25px;
}
.panel-post.card__category a {
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
}

.panel-post .card__tag {
  position: absolute;
  top: -25px;
  right: 0;
  height: 25px;
  padding: 0 15px;
  background: var(--alt-featured-color);
  color: #fff;
  font-size: 11px;
	font-weight: 700;
  line-height: 25px;
}
.panel-post.card__tag a {
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
}

.panel-post .card__title {
  padding: 0 0 10px 0;
  margin: 0;
  font-size: 1.25rem;
  color: var(--dark-txt-color);
  font-weight: bold;
}
/* .card__title h3 {} */
.panel-post.card:active .card__title,
.panel-post.card:focus .card__title,
.panel-post.card:hover .card__title {
  -webkit-animation: titleBlur 0.3s;
          animation: titleBlur 0.3s;
}

.panel-post.card .card__subtitle {
  margin: 0;
  padding: 0 0 10px 0;
  color: var(--title-color);
  opacity: 1;
  font-size: 1.5rem;
  transition: 400ms all ease-in-out;
}
.panel-post.card .card__subtitle {
	display: block;
	text-align: center;
}
.panel-post.card:active .card__subtitle,
.panel-post.card:focus .card__subtitle,
.panel-post.card:hover .card__subtitle {
  opacity: 0.25;
	display: none;
}

.panel-post.card .card__description {
  margin: 0;
  padding: 0;
  color: var(--dark-txt-color);
  font-size: 14px;
  line-height: 27px;
  opacity: 0;
  -webkit-transition: opacity 0.2s, -webkit-transform 0.2s;
          transition: opacity 0.2s, transform 0.2s;
  -webkit-transition-delay: 0s;
          transition-delay: 0s;
  -webkit-transform: translateY(25px);
      -ms-transform: translateY(25px);
          transform: translateY(25px);
}
.panel-post.card:active .card__description,
.panel-post.card:focus .card__description,
.panel-post.card:hover .card__description {
  opacity: 1;
  -webkit-transition-delay: 0.1s;
          transition-delay: 0.1s;
  -webkit-transform: translateY(0);
      -ms-transform: translateY(0);
          transform: translateY(0);
}

.panel-post.card .card__footer {
  position: absolute;
  color: #a3a9ab;
	text-align: center;
  bottom: 20px;
  left: 20px;
  right: 20px;
  font-size: 1rem;
}
.panel-post.card .card__footer .icon--comment {
  margin-left: 10px;
}

.panel-post.card .icon {
  display: inline-block;
  vertical-align: middle;
  margin-right: 2px;
}
.panel-post.card .icon:before {
  display: inline-block;
  text-align: center;
  height: 14px;
  width: 14px;
  margin-top: -2px;
  margin-right: 6px;
}

@-webkit-keyframes titleBlur {
  0% {
    opacity: 0.6;
    text-shadow: 0px 5px 5px rgba(0, 0, 0, 0.6);
  }
  100% {
    opacity: 1;
    text-shadow: 0px 5px 5px transparent;
  }
}

@keyframes titleBlur {
  0% {
    opacity: 0.6;
    text-shadow: 0px 5px 5px rgba(0, 0, 0, 0.6);
  }
  100% {
    opacity: 1;
    text-shadow: 0px 5px 5px transparent;
  }
}
